///////    MenuBlockListener.java    ///////

import javax.swing.*;
import java.awt.event.*;

/**
 * Listener para el bloqueo de menús.
 * @author Martín Cortés, Mauricio Ludueña
 */
public class MenuBlockListener implements ActionListener{
       //Atributos privados no aparecen en el javadoc
        /**
        * El Mundo al que se agregará el Listener.
        */
    	private MyWorld  world;
        /**
         * El menú a bloquear.
         */
        private JMenu menu=new JMenu(); 
        /** 
            * Constructor.  Crea un nuevo listener
            * @param w      "Mundo" al que se le asignará el listener
            */
	public MenuBlockListener (MyWorld  w){
           
            world = w;
	}
        /**
        * Agrega el menú a bloquear
        * @param menu   Menú a agregar al listener
        */
        public void add(JMenu menu) {
            this.menu=menu;
        }
        /**
        * Realiza la operacion de bloqueo o desbloqueo si ocurre la situacion esperada
        * @param e   Evento esperado
        */
        public void actionPerformed(ActionEvent e){
            JMenuItem menuItem = (JMenuItem)(e.getSource());
            String text = menuItem.getText();
     
	   if (text.equals("Start"))  menu.setEnabled(false);//Si se inicia de cualquier forma la simulación...
           if (text.equals("Resume")) menu.setEnabled(false);//(Start o Resume) el menú se bloquea,
           if (text.equals("Stop"))   menu.setEnabled(true);//Si se para la simulación, el menú se activa.
        }

}
